Tasks

Get a task

Fetch a single task by id.

GET
/tasks/{id}

Fetch a single task by id.

Authorization

x-api-key<token>

The per-tenant API key, copied from Settings → API & integrations. Sent as the x-api-key request header. The key is tenant-scoped and acts with Admin-equivalent, tenant-wide access.

In: header

Path Parameters

id*string

Resource id.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "detail": "string",  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",  "projectName": "string",  "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd",  "assigneeName": "string",  "done": true,  "doneAt": "2019-08-24T14:15:22Z",  "doneBy": "string",  "createdAt": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "unauthorized",    "message": "Missing or invalid API key."  }}
{  "error": {    "code": "not_found",    "message": "Not found."  }}